rsort
sizeof
Array Functions
PHP Manual

# shuffle

(PHP 4, PHP 5, PHP 7)

shuffle — Shuffle an array

### Description

bool shuffle ( array `&$array` )

This function shuffles (randomizes the order of the elements in) an array.

### Parameters

`array`

  The array.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 shuffle() example

`<?php
$numbers = range(1, 20);
shuffle($numbers);
foreach ($numbers as $number) {
echo "$number ";
}
?>`

### Notes

> Note: This function assigns new keys to the elements in `array`. It will remove any existing keys that may have been assigned, rather than just reordering the keys.

### See Also

- array_rand() - Pick one or more random entries out of an array
- The comparison of array sorting functions

rsort
sizeof
Array Functions
PHP Manual